import { ICameraService, IFontService, IGlobalConfigService, IIconService, ILayer, ILayerModel, IMapService, IModel, IModelUniform, IRendererService, IShaderModuleService, IStyleAttributeService } from '@antv/l7-core';
export default class BaseModel implements ILayerModel {
    protected layer: ILayer;
    protected readonly configService: IGlobalConfigService;
    protected readonly iconService: IIconService;
    protected readonly fontService: IFontService;
    protected readonly shaderModuleService: IShaderModuleService;
    protected rendererService: IRendererService;
    protected styleAttributeService: IStyleAttributeService;
    protected mapService: IMapService;
    protected cameraService: ICameraService;
    constructor(layer: ILayer);
    getUninforms(): IModelUniform;
    buildModels(): IModel[];
    render(): void;
    protected registerBuiltinAttributes(): void;
}
