var _dec, _dec2, _class, _class2, _descriptor, _temp;

function _initializerDefineProperty(target, property, descriptor, context) { if (!descriptor) return; Object.defineProperty(target, property, { enumerable: descriptor.enumerable, configurable: descriptor.configurable, writable: descriptor.writable, value: descriptor.initializer ? descriptor.initializer.call(context) : void 0 }); }

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) { var desc = {}; Object.keys(descriptor).forEach(function (key) { desc[key] = descriptor[key]; }); desc.enumerable = !!desc.enumerable; desc.configurable = !!desc.configurable; if ('value' in desc || desc.initializer) { desc.writable = true; } desc = decorators.slice().reverse().reduce(function (desc, decorator) { return decorator(target, property, desc) || desc; }, desc); if (context && desc.initializer !== void 0) { desc.value = desc.initializer ? desc.initializer.call(context) : void 0; desc.initializer = undefined; } if (desc.initializer === void 0) { Object.defineProperty(target, property, desc); desc = null; } return desc; }

function _initializerWarningHelper(descriptor, context) { throw new Error('Decorating class property failed. Please ensure that ' + 'proposal-class-properties is enabled and runs after the decorators transform.'); }

import { TYPES } from '@antv/l7-core';
import { inject, injectable } from 'inversify';
export function normalizePasses(passes) {
  return passes.map(pass => {
    if (typeof pass === 'string') {
      pass = [pass, {}];
    }

    return pass;
  });
}
let MultiPassRendererPlugin = (_dec = injectable(), _dec2 = inject(TYPES.IGlobalConfigService), _dec(_class = (_class2 = (_temp = class MultiPassRendererPlugin {
  constructor() {
    _initializerDefineProperty(this, "configService", _descriptor, this);

    this.enabled = void 0;
  }

  apply(layer, {
    rendererService,
    postProcessingPassFactory,
    normalPassFactory
  }) {
    layer.hooks.init.tap('MultiPassRendererPlugin', () => {
      const {
        enableMultiPassRenderer,
        passes = []
      } = layer.getLayerConfig();
      this.enabled = !!enableMultiPassRenderer && layer.getLayerConfig().enableMultiPassRenderer !== false;

      if (this.enabled) {
        layer.multiPassRenderer = this.createMultiPassRenderer(layer, passes, postProcessingPassFactory, normalPassFactory);
        layer.multiPassRenderer.setRenderFlag(true);
      }
    });
    layer.hooks.beforeRender.tap('MultiPassRendererPlugin', () => {
      if (this.enabled) {
        const {
          width,
          height
        } = rendererService.getViewportSize();
        layer.multiPassRenderer.resize(width, height);
      }
    });
  }

  createMultiPassRenderer(layer, passes, postProcessingPassFactory, normalPassFactory) {
    const multiPassRenderer = layer.multiPassRenderer;
    const {
      enablePicking,
      enableTAA
    } = layer.getLayerConfig();

    if (enablePicking) {
      multiPassRenderer.add(normalPassFactory('pixelPicking'));
    }

    if (enableTAA) {
      multiPassRenderer.add(normalPassFactory('taa'));
    } else {
      multiPassRenderer.add(normalPassFactory('render'));
    }

    normalizePasses(passes).forEach(pass => {
      const [passName, initializationOptions] = pass;
      multiPassRenderer.add(postProcessingPassFactory(passName), initializationOptions);
    });
    multiPassRenderer.add(postProcessingPassFactory('copy'));
    return multiPassRenderer;
  }

}, _temp), (_descriptor = _applyDecoratedDescriptor(_class2.prototype, "configService", [_dec2], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: null
})), _class2)) || _class);
export { MultiPassRendererPlugin as default };
//# sourceMappingURL=MultiPassRendererPlugin.js.map