var _dec, _dec2, _dec3, _dec4, _class, _class2, _descriptor, _descriptor2, _descriptor3, _temp;

function _initializerDefineProperty(target, property, descriptor, context) { if (!descriptor) return; Object.defineProperty(target, property, { enumerable: descriptor.enumerable, configurable: descriptor.configurable, writable: descriptor.writable, value: descriptor.initializer ? descriptor.initializer.call(context) : void 0 }); }

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) { var desc = {}; Object.keys(descriptor).forEach(function (key) { desc[key] = descriptor[key]; }); desc.enumerable = !!desc.enumerable; desc.configurable = !!desc.configurable; if ('value' in desc || desc.initializer) { desc.writable = true; } desc = decorators.slice().reverse().reduce(function (desc, decorator) { return decorator(target, property, desc) || desc; }, desc); if (context && desc.initializer !== void 0) { desc.value = desc.initializer ? desc.initializer.call(context) : void 0; desc.initializer = undefined; } if (desc.initializer === void 0) { Object.defineProperty(target, property, desc); desc = null; } return desc; }

function _initializerWarningHelper(descriptor, context) { throw new Error('Decorating class property failed. Please ensure that ' + 'proposal-class-properties is enabled and runs after the decorators transform.'); }

import { CameraUniform, CoordinateUniform, TYPES } from '@antv/l7-core';
import { inject, injectable } from 'inversify';
let ShaderUniformPlugin = (_dec = injectable(), _dec2 = inject(TYPES.ICameraService), _dec3 = inject(TYPES.ICoordinateSystemService), _dec4 = inject(TYPES.IRendererService), _dec(_class = (_class2 = (_temp = class ShaderUniformPlugin {
  constructor() {
    _initializerDefineProperty(this, "cameraService", _descriptor, this);

    _initializerDefineProperty(this, "coordinateSystemService", _descriptor2, this);

    _initializerDefineProperty(this, "rendererService", _descriptor3, this);
  }

  apply(layer) {
    layer.hooks.beforeRender.tap('ShaderUniformPlugin', () => {
      this.coordinateSystemService.refresh();
      const {
        width,
        height
      } = this.rendererService.getViewportSize();
      layer.models.forEach(model => model.addUniforms({
        [CameraUniform.ProjectionMatrix]: this.cameraService.getProjectionMatrix(),
        [CameraUniform.ViewMatrix]: this.cameraService.getViewMatrix(),
        [CameraUniform.ViewProjectionMatrix]: this.cameraService.getViewProjectionMatrix(),
        [CameraUniform.Zoom]: this.cameraService.getZoom(),
        [CameraUniform.ZoomScale]: this.cameraService.getZoomScale(),
        [CameraUniform.FocalDistance]: this.cameraService.getFocalDistance(),
        [CameraUniform.CameraPosition]: this.cameraService.getCameraPosition(),
        [CoordinateUniform.CoordinateSystem]: this.coordinateSystemService.getCoordinateSystem(),
        [CoordinateUniform.ViewportCenter]: this.coordinateSystemService.getViewportCenter(),
        [CoordinateUniform.ViewportCenterProjection]: this.coordinateSystemService.getViewportCenterProjection(),
        [CoordinateUniform.PixelsPerDegree]: this.coordinateSystemService.getPixelsPerDegree(),
        [CoordinateUniform.PixelsPerDegree2]: this.coordinateSystemService.getPixelsPerDegree2(),
        [CoordinateUniform.PixelsPerMeter]: this.coordinateSystemService.getPixelsPerMeter(),
        u_ViewportSize: [width, height],
        u_DevicePixelRatio: window.devicePixelRatio,
        u_ModelMatrix: [1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1]
      }));
    });
  }

}, _temp), (_descriptor = _applyDecoratedDescriptor(_class2.prototype, "cameraService", [_dec2], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: null
}), _descriptor2 = _applyDecoratedDescriptor(_class2.prototype, "coordinateSystemService", [_dec3], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: null
}), _descriptor3 = _applyDecoratedDescriptor(_class2.prototype, "rendererService", [_dec4], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: null
})), _class2)) || _class);
export { ShaderUniformPlugin as default };
//# sourceMappingURL=ShaderUniformPlugin.js.map