import { IEncodeFeature } from '@antv/l7-core';
import BaseLayer from '../core/BaseLayer';
interface IPointTextLayerStyleOptions {
    opacity: number;
    textAnchor: string;
    textOffset: [number, number];
    spacing: number;
    padding: [number, number];
    stroke: string;
    strokeWidth: number;
    strokeOpacity: number;
    fontWeight: string;
    fontFamily: string;
    textAllowOverlap: boolean;
}
export declare function PointTriangulation(feature: IEncodeFeature): {
    vertices: number[];
    indices: number[];
    size: number;
};
export default class TextLayer extends BaseLayer<IPointTextLayerStyleOptions> {
    name: string;
    protected getConfigSchema(): {
        properties: {
            opacity: {
                type: string;
                minimum: number;
                maximum: number;
            };
        };
    };
    protected renderModels(): this;
    protected buildModels(): void;
    private registerBuiltinAttributes;
    private initTextFont;
}
export {};
