import { ITexture2D } from '@antv/l7-core';
import BaseLayer from '../core/BaseLayer';
import { IColorRamp } from '../utils/color';
interface IRasterLayerStyleOptions {
    opacity: number;
    min: number;
    max: number;
    rampColors: IColorRamp;
}
export default class Raster2dLayer extends BaseLayer<IRasterLayerStyleOptions> {
    name: string;
    protected texture: ITexture2D;
    protected colorTexture: ITexture2D;
    protected getConfigSchema(): {
        properties: {
            opacity: {
                type: string;
                minimum: number;
                maximum: number;
            };
        };
    };
    protected renderModels(): this;
    protected buildModels(): void;
    private registerBuiltinAttributes;
}
export {};
