/**
 * 计算文本中每个独立字符相对锚点的位置
 *
 * @param {string} text 原始文本
 * @param {*} glyphs mapping
 * @param {number} lineHeight 行高
 * @param {string} textAnchor 文本相对于锚点的位置
 * @param {string} textJustify 左右对齐
 * @param {number} spacing 字符间距
 * @param {[number, number]} translate 文本水平 & 垂直偏移量
 * @return {boolean|shaping} 每个字符相对于锚点的位置
 */
export declare function shapeText(text: string, glyphs: any, lineHeight: number, textAnchor: string, textJustify: string, spacing: number, translate: [number, number]): false | {
    positionedGlyphs: any[];
    top: number;
    bottom: number;
    left: number;
    right: number;
    lineCount: number;
    text: string;
};
export declare function getGlyphQuads(shaping: any, textOffset: [number, number], alongLine: boolean): {
    tl: {
        x: any;
        y: any;
    };
    tr: {
        x: any;
        y: any;
    };
    bl: {
        x: any;
        y: any;
    };
    br: {
        x: any;
        y: any;
    };
    tex: any;
    glyphOffset: any[];
}[];
